# verify

## Verify Page Overview

When the App owner requires users to verify their emails during the sign up process (modifiable from the Admin Portal), users will receive a verification email during sign up. They will need to click on the link in the email to verify their email address. The link will take them to this page. Users will be able to verify their emails when they are logged in or when they are logged out (they will just need to login again after).

The `verify` page is used when user verification [is enabled in the admin portal](https://docs.airdev.co/canvas/v/2.0.0/using-the-template/reference/pages/owners-portal-page#admin-portal-overview).&#x20;

![Group on page when a user is successfully verified](/files/-Lv8mv9KFufY2U0sLBCM)

![Error message that appears if your app is on a Hobby plan](/files/-Lv8n2oYl3O2Np5nmlWq)

![Confirmation of verification on login page](/files/-Lv8mqmF7vbTdUgIeX5X)

## Workflows

This page includes the following workflows:

![](/files/-Ls-3M-AWmuoR8s1aw6v)

* **Page is loaded and current email verification is empty** - If`current page email verification is empty`, users will be shown an expired link group, and they will automatically be sent a new verification email.
* **Page is loaded and current email verification is not empty** - They will be shown am email verified group and the user's `date completed sign up` will be marked as completed. If the `email verification user's email`is different from the email verification's `email` field, then the user's email will be updated to the new email. Once the user's email is verified on this page, an API workflow will be scheduled to delete the current page email verification.
* **Button continue is clicked** - Users will be redirect to the [`index`](/canvas/2.0.0-1/using-the-template/reference/pages/home.md) page if they are logged in. If they are not logged in, they will be taken to the [`login`](/canvas/2.0.0-1/using-the-template/reference/pages/login-pages.md) page.
* **Button go home is clicked** - They will be redirected to the index page.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.airdev.co/canvas/2.0.0-1/using-the-template/reference/pages/verify_email.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
